# Package org.eclipse.osgi.service.environment

package org.eclipse.osgi.service.environment
Provides the `EnvironmentInfo` service.

## Package Specification

This package specifies the API for the `EnvironmentInfo` service.

Clients accessing the command line used to start the running framework as well as information about the environment will likely be interested in the types provided by this package.

Interfaces
Class
Description
Constants
Constants used with the `EnvironmentInfo` service.
EnvironmentInfo
A Framework service which gives access to the command line used to start this running framework as well as information about the environment such as the current operating system, machine architecture, locale and windowing system.